# Framework Guide

The following sections guides you through the usage of the Core API.
At minimum, read [Agent and Agent Runtime](agent-and-agent-runtime.ipynb)
and [Message and Communication](message-and-communication.ipynb) to get the
basic understanding.

```{note}
The Core API is designed to be unopinionated and flexible. So at times, you
may find it challenging. Continue if you are building
an interactive, scalable and distributed multi-agent system and want full control
of all workflows.
If you just want to get something running
quickly, you may take a look at the [AgentChat API](../../agentchat-user-guide/index.md).
```

## List of content

```{toctree}
:maxdepth: 1

agent-and-agent-runtime
message-and-communication
model-clients
tools
logging
telemetry
command-line-code-executors
distributed-agent-runtime
```
